Will you allow 1.8 plugins now?

Discussion in 'BukkitDev Information and Feedback' started by orgin_org, Nov 30, 2014.

Thread Status:
Not open for further replies.
  1. Offline

    orgin_org

    Now that the spigot team has created an 1.8 bukkit and craftbukkit will you enable us plugin developers to upload 1.8 compatible plugins to bukkitdev?
     
  2. Offline

    mrCookieSlime Retired Staff

    orgin_org
    Yes.
    Bukkit 1.8 is supported and Plugins compiled against it are as well.
    In fact, Plugins which are compiled against Bukkit 1.8 have already been accepted on BukkitDev before.
     
  3. Offline

    orgin_org

    Good. I'll be updating shortly then.

    Err, when you upload a file 1.8 is not available as "Game version", it's stuck at 1.7.9

    <Edit by mrCookieSlime: Merged posts. Please don't double post. There is an Edit-Button right next to the Date.>
     
  4. Offline

    mrCookieSlime Retired Staff

    orgin_org
    Indeed. While 1.8 is supported, it hasn't been added to the Version list yet.
    It will be added later, however you have to be patient since it may take a while until everything is cleaned up.
     
  5. Offline

    AdamQpzm

    There is no Bukkit 1.8, and likely never will be. That staff are asserting that there is really is quite troubling, and will ultimately be confusing to new users.
     
  6. Offline

    extended_clip

    Please stop already man.

    Spigot has updated a Fork of the official bukkit to 1.8
    There is a Bukkit 1.8, just not developed by the original Bukkit team.

    It has full 1.8 functionality and even an update to the Bukkit API so developers can utilize the new features in plugins.

    Stop being against it and accept it if you don't want to see Bukkit fade away. You are pushing so much negativity on something that can be positive for the community.
     
  7. Offline

    Krustymk

    No! It is you and your co-conspirators that are confusing people! You're more interested in making sure bukkit burns than helping people who just want to get their 1.8 server running!
     
  8. Offline

    mrCookieSlime Retired Staff

    AdamQpzm
    As I already said we support the Version of Bukkit 1.8 which was made by md_5.
    But the fact that someone else is working on it does not mean it's something completely different.
    However it will obviously take a while until we will fully support it.
    Now please remain ontopic and please don't start a flame bait.
     
  9. Offline

    AdamQpzm

    I'm not saying that it's a bad thing it's been updated (despite its legal and technical issues), I'm saying that the difference between "Bukkit has been updated" and "a fork of Bukkit has been updated" is more than just 3 words. If you're not able to accept that, then I see why you're continuing this argument and it's ultimately pointless. :)



    I've said it before, but I'll say it again: If these forums truly have no purpose being restricted to only Bukkit, then they shouldn't exist anymore. These forum are made for Bukkit, not a fork of Bukkit. I'm not trying to make sure that Bukkit burns, nor am I trying to stop people from running a server; I'm simply asking that they move over to their intended communities. Why people using Spigot insist on coming here instead of Spigot is utterly baffling to me.

    You accuse me of wanting to see Bukkit burn? I accuse you of wanting to mutate the community. I see absolutely no justification for the sudden change of these forums being dedicated to Bukkit, to catering to a Bukkit alternative. Some think that bringing alternatives discussion to Bukkit help bring life to the community, but it doesn't. Bukkit's community is now a pale shadow of its former self.
     
  10. Offline

    timtower Moderator Moderator

    Locked, question has been answered, and this is turning into a flame war
     
    MitchTalmadge and Krustymk like this.
Thread Status:
Not open for further replies.

Share This Page